PortfolioPdx.Day (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.data

## Enum PortfolioPdx.Day

- java.lang.Object
- - java.lang.Enum<PortfolioPdx.Day>
  - - org.apache.geode.cache.query.data.PortfolioPdx.Day

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PortfolioPdx.Day>
  Enclosing class:
    PortfolioPdx

      public static enum PortfolioPdx.Day
      extends java.lang.Enum<PortfolioPdx.Day>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Friday`
    `Monday`
    `Saturday`
    `Sunday`
    `Thursday`
    `Tuesday`
    `Wednesday`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PortfolioPdx.Day` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PortfolioPdx.Day[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Sunday

          public static final PortfolioPdx.Day Sunday

    - #### Monday

          public static final PortfolioPdx.Day Monday

    - #### Tuesday

          public static final PortfolioPdx.Day Tuesday

    - #### Wednesday

          public static final PortfolioPdx.Day Wednesday

    - #### Thursday

          public static final PortfolioPdx.Day Thursday

    - #### Friday

          public static final PortfolioPdx.Day Friday

    - #### Saturday

          public static final PortfolioPdx.Day Saturday

  - ### Method Detail

    - #### values

          public static PortfolioPdx.Day[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PortfolioPdx.Day c : PortfolioPdx.Day.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PortfolioPdx.Day valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null